/* Utility */

.scroll-margin-20 {
	scroll-margin-top: 20px;
	scroll-margin-bottom: 20px;
}

.scroll-margin-90 {
	scroll-margin-top: 90px;
	scroll-margin-bottom: 90px;
}

.blur {
	filter: blur(3px);
	-webkit-filter: blur(3px);
}

.backdrop-blur {
	backdrop-filter: blur(10px);
}

.w-100 {
	width: 100%;
}

.w-auto {
	width: auto;
}

.h-100 {
	height: 100%;
}

.h-auto {
	height: auto;
}

.h-fit {
	height: fit-content;
}

.d-flex {
	display: flex !important;
}

.d-inline-flex {
	display: inline-flex !important;
}

.d-block {
	display: block !important;
}

.d-inline-block {
	display: inline-block !important;
}

.flex-row {
	flex-direction: row !important;
}

.flex-col {
	flex-direction: column !important;
}

.flex-wrap {
	flex-wrap: wrap;
}

.flex-w-100 {
	flex: 0 0 100%;
}

.justify-content-start {
	justify-content: start;
}

.justify-content-center {
	justify-content: center;
}

.justify-content-end {
	justify-content: end;
}

.justify-space-between {
	justify-content: space-between;
}

.justify-self-center {
	justify-self: center;
}

.justify-self-end {
	justify-self: end;
}

.justify-content-space-between {
	justify-content: space-between;
}

.justify-content-space-around {
	justify-content: space-around;
}

.align-items-start {
	align-items: start;
}

.align-items-center {
	align-items: center;
}

.align-items-end {
	align-items: end;
}

.align-self-center {
	align-self: center;
}

.align-self-start {
	align-self: start;
}

.align-self-end {
	align-self: end;
}

.gap-1 {
	gap: 0.5rem !important;
}

.gap-2 {
	gap: 1rem !important;
}

.gap-3 {
	gap: 1.5rem !important;
}

.gap-4 {
	gap: 2rem !important;
}

.gap-5 {
	gap: 2.5rem !important;
}

.gap-6 {
	gap: 3rem !important;
}

.gap-7 {
	gap: 3.5rem !important;
}

.gap-8 {
	gap: 4rem !important;
}

.text-sm {
	font-size: 0.8rem;
}

.text-md {
	font-size: 1rem;
}

.text-lg {
	font-size: 1.5rem;
}

.text-xl {
	font-size: 2rem;
}

.text-xxl {
	font-size: 2.5rem;
}

.text-white {
	color: white !important;
}

.text-black {
	color: black;
}

.text-red {
	color: red;
}

.text-bold {
	font-weight: bold;
}

.text-center {
	text-align: center;
}

.text-left {
	text-align: left;
}

.text-right {
	text-align: right;
}

.text-underline {
	text-decoration: underline !important;
}

.no-underline {
	text-decoration: none !important;
}

.fw-400 {
	font-weight: 400;
}

.fw-600 {
	font-weight: 600;
}

.fw-800 {
	font-weight: 800;
}

.m-0 {
	margin: 0rem;
}

.m-1 {
	margin: 0.5rem;
}

.m-2 {
	margin: 1rem;
}

.m-3 {
	margin: 1.5rem;
}

.m-4 {
	margin: 2rem;
}

.m-5 {
	margin: 2.5rem;
}

.m-6 {
	margin: 3rem;
}

.m-7 {
	margin: 3.5rem;
}

.m-8 {
	margin: 4rem;
}

.mt-0 {
	margin-top: 0px !important;
}

.mt-1 {
	margin-top: .5rem;
}

.mt-2 {
	margin-top: 1rem;
}

.mt-3 {
	margin-top: 1.5rem;
}

.mt-4 {
	margin-top: 2rem;
}

.mt-5 {
	margin-top: 2.5rem;
}

.mt-6 {
	margin-top: 3rem;
}

.mt-7 {
	margin-top: 3.5rem;
}

.mt-8 {
	margin-top: 4rem;
}

.mt-0 {
	margin-bottom: 0px !important;
}

.mb-0 {
	margin-bottom: 0rem;
}

.mb-1 {
	margin-bottom: .5rem;
}

.mb-2 {
	margin-bottom: 1rem;
}

.mb-3 {
	margin-bottom: 1.5rem;
}

.mb-4 {
	margin-bottom: 2rem;
}

.mb-5 {
	margin-bottom: 2.5rem;
}

.mb-6 {
	margin-bottom: 3rem;
}

.mb-7 {
	margin-bottom: 3.5rem;
}

.mb-8 {
	margin-bottom: 4rem;
}

.ml-0 {
	margin-left: 0rem;
}

.ml-1 {
	margin-left: .5rem;
}

.ml-2 {
	margin-left: 1rem;
}

.ml-3 {
	margin-left: 1.5rem;
}

.ml-4 {
	margin-left: 2rem;
}

.ml-5 {
	margin-left: 2.5rem;
}

.ml-6 {
	margin-left: 3rem;
}

.ml-7 {
	margin-left: 3.5rem;
}

.ml-8 {
	margin-left: 4rem;
}

.mr-0 {
	margin-right: 0rem;
}

.mr-1 {
	margin-right: .5rem;
}

.mr-2 {
	margin-right: 1rem;
}

.mr-3 {
	margin-right: 1.5rem;
}

.mr-4 {
	margin-right: 2rem;
}

.mr-5 {
	margin-right: 2.5rem;
}

.mr-6 {
	margin-right: 3rem;
}

.mr-7 {
	margin-right: 3.5rem;
}

.mr-8 {
	margin-right: 4rem;
}

.ml-auto {
	margin-left: auto;
}

.p-1 {
	padding: 0.5rem;
}

.p-2 {
	padding: 1rem;
}

.p-3 {
	padding: 1.5rem;
}

.p-4 {
	padding: 2rem;
}

.p-5 {
	padding: 2.5rem;
}

.p-6 {
	padding: 3rem;
}

.p-7 {
	padding: 3.5rem;
}

.p-8 {
	padding: 4rem;
}

.pt-0 {
	padding-top: 0rem;
}

.pt-1 {
	padding-top: 0.5rem;
}

.pt-2 {
	padding-top: 1rem;
}

.pt-3 {
	padding-top: 1.5rem;
}

.pt-4 {
	padding-top: 2rem;
}

.pt-5 {
	padding-top: 2.5rem;
}

.pt-6 {
	padding-top: 3rem;
}

.pt-7 {
	padding-top: 3.5rem;
}

.pt-8 {
	padding-top: 4rem;
}

.pr-0 {
	padding-right: 0rem;
}

.pr-1 {
	padding-right: 0.5rem;
}

.pr-2 {
	padding-right: 1rem;
}

.pr-3 {
	padding-right: 1.5rem;
}

.pr-4 {
	padding-right: 2rem;
}

.pr-5 {
	padding-right: 2.5rem;
}

.pr-6 {
	padding-right: 3rem;
}

.pr-7 {
	padding-right: 3.5rem;
}

.pr-8 {
	padding-right: 4rem;
}

.pb-0 {
	padding-bottom: 0rem;
}

.pb-1 {
	padding-bottom: 0.5rem;
}

.pb-2 {
	padding-bottom: 1rem;
}

.pb-3 {
	padding-bottom: 1.5rem;
}

.pb-4 {
	padding-bottom: 2rem;
}

.pb-5 {
	padding-bottom: 2.5rem;
}

.pb-6 {
	padding-bottom: 3rem;
}

.pb-7 {
	padding-bottom: 3.5rem;
}

.pb-8 {
	padding-bottom: 4rem;
}

.pl-0 {
	padding-left: 0rem;
}

.pl-1 {
	padding-left: 0.5rem;
}

.pl-2 {
	padding-left: 1rem;
}

.pl-3 {
	padding-left: 1.5rem;
}

.pl-4 {
	padding-left: 2rem;
}

.pl-5 {
	padding-left: 2.5rem;
}

.pl-6 {
	padding-left: 3rem;
}

.pl-7 {
	padding-left: 3.5rem;
}

.pl-8 {
	padding-left: 4rem;
}

.mr-auto {
	margin-right: auto;
}

.mt-auto {
	margin-top: auto;
}

.d-none {
	display: none !important;
}

.bg-white {
	background-color: white;
}

.bg-black {
	background-color: black;
}

.bg-none {
	background: none;
}

.no-border {
	border: none;
}

.red-validation-outline {
	border: 2px solid red !important;
}

.rounded-sm {
	border-radius: 5px;
}

.rounded-md {
	border-radius: 10px;
}

.rounded-lg {
	border-radius: 15px;
}

.pointer {
	cursor: pointer;
}

.disabled:hover {
	cursor: not-allowed;
	background: grey !important;
}

.light-hover:hover {
	-webkit-filter: brightness(100%);
	-webkit-transition: all 100ms ease;
	-moz-transition: all 100ms ease;
	-o-transition: all 100ms ease;
	-ms-transition: all 100ms ease;
	transition: all 100ms ease;
}

.full-bright {
	-webkit-filter: brightness(100%) !important;
}

.partial-bright {
	-webkit-filter: brightness(70%);
}

.uppercase {
	text-transform: uppercase;
}

.capitalize {
	text-transform: capitalize;
}

.border-box {
	box-sizing: border-box;
}

.rotate-90 {
	transform: rotate(90deg);
}

.rotate-180 {
	transform: rotate(180deg);
}

.rotate-270 {
	transform: rotate(270deg);
}

.opacity-0 {
	opacity: 0;
}

.float-left {
	float: left;
}

.float-right {
	float: right;
}

.animation-delay-1 {
	animation-delay: 50ms;
}

.animation-delay-2 {
	animation-delay: 100ms;
}

.animation-delay-3 {
	animation-delay: 150ms;
}

.shadow-1 {
	filter: drop-shadow(0px 2px 5px rgba(0, 0, 0, 0.5));
}

.arrow {
	border: solid white;
	box-sizing: border-box;
	border-width: 0 5px 5px 0;
	display: inline-block;
	padding: 8px;
}

.arrow-disabled {
	opacity: 0.5;
	cursor: default;
}

.right {
	transform: rotate(-45deg);
	-webkit-transform: rotate(-45deg);
}

.left {
	transform: rotate(135deg);
	-webkit-transform: rotate(135deg);
}

.up {
	transform: rotate(-135deg);
	-webkit-transform: rotate(-135deg);
}

.down {
	transform: rotate(45deg);
	-webkit-transform: rotate(45deg);
}

.hide-scrollbar {
    -ms-overflow-style: none;  /* Internet Explorer 10+ */
    scrollbar-width: none;  /* Firefox */
}

.hide-scrollbar::-webkit-scrollbar { 
    display: none;  /* Safari and Chrome */
}

.small-scrollbar ::-webkit-scrollbar {
	width: 9px;
}

.small-scrollbar ::-webkit-scrollbar-track {
	background: transparent;
}

.small-scrollbar ::-webkit-scrollbar-thumb {
	background-color: rgba(155, 155, 155, 0.5);
	border-radius: 20px;
	border: transparent;
}

.show-mobile-portrait-only {
	display: none;
}

.overflow-x-hidden {
	overflow-x: hidden;
}

.overflow-y-hidden {
	overflow-y: hidden;
}

.overflow-hidden {
	overflow-y: hidden;
	overflow-x: hidden;
}

@media screen and (max-width: 1000px) {
	.show-lg-only {
		display: none;
	}
}

@media screen and (min-width: 701px) {
	.d-none-pc {
		display: none !important;
	}

	.w-auto-pc {
		width: auto;
	}
}

@media screen and (max-width: 700px) {

	.d-none-mobile {
		display: none !important;
	}

	.flex-col-mobile {
		flex-direction: column;
	}

	.w-auto-mobile {
		width: auto;
	}

	.w-100-mobile {
		width: 100%;
	}

	.h-100-mobile {
		height: 100%;
	}
}

@media screen and (orientation:portrait) {
	.show-mobile-portrait-only {
		display: inline;
	}
}

/* Utility */